package com.bankaudit.rest.process.dao;

import java.util.List;

import com.bankaudit.dao.Dao;
import com.bankaudit.process.model.RecommendationDetails;

public interface RecommendationDetailsDao extends Dao {
	
	public List<RecommendationDetails> getRecommendationDetails(Integer legalEntityCode, String auditId, String observationId, String recStatus);
	
	void deleteRecommendationDetailsById(Integer id);
	
	void deleteRecommendationDetailsByObservationId(String observationId);

}
